let BASE_URL = 'http://localhost:8084';

const http = {
  request(
    url,
    data,
    method,
    header = {},
  ) {
    let token = uni.getStorageSync('token') || '';
    if (!url) return;
    return new Promise((resolve, reject) => {
      uni.request({
        url: BASE_URL + url,
        method,
        data,
        header: {
          token,
          ...header
        },
        success: (res) => {
          resolve(res)
        },
        fail: (err) => {
          reject(err);
        }
      });
    })
  },
  get(url, param) {
    let header = {}
    let method = "GET"
    return new Promise((resolve, reject) => {
      this.request(url, param, method, header).then(res => {
        resolve(res)
      }).catch(e => {
        reject(e)
      })
    })
  },
  post(url, param) {
    let header = {}
    let method = "POST"
    return new Promise((resolve, reject) => {
      this.request(url, param, method, header).then(res => {
        resolve(res)
      }).catch(e => {
        reject(e)
      })
    })
  }
}
export default http;
